<?php
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup mailbox
 * @module mailbox_ins
 * @package mailbox
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include_once 'webelements.p3';
 include_once 'permission.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules('mailbox','ins');
 loadmodule('mailbox');

 $msg = "";
 if ( !isset($_POST['gotourl']) ) {
   $gotourl = "mytutos.php";
 } else {
   $gotourl = $_POST['gotourl'];
 }

 $m = new mailbox($dbconn);
 if ( empty($_POST['id']) ) {
   if ( !isset($_POST['parent']) ||  empty($_POST['parent']) ) {
     $msg .=  "Missing parent";
     $dbconn->Close();
     exit;
   }
   $m->parent = GetObject($dbconn,$_POST['parent']);
 } else {
   $m->read($_POST['id']);
 }

 $m->setHost($_POST['host']);
 $m->setMBType($_POST['type']);
 $m->port = $_POST['port'];
 $m->setMBPath($_POST['path']);
 $m->setUser($_POST['user']);
 $m->pw   = $_POST['mpw'];
 $m->setEmail($_POST['email']);

 # other modules
 $msg .= module_parseforms($current_user,$m,$gotourl);
 
 if ( $msg == "" ) {
   $dbconn->Begin("WORK");
   $msg .= $m->save();
   $dbconn->Commit("WORK");
 }
 $gotourl = $m->parent->getURL();


 $gotourl = addSessionKey($gotourl);
 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". dirname(getBaseUrl()) ."/". $gotourl);
 $dbconn->Close();
/*
 *  CVS Info:  $Id: mailbox_ins.php,v 1.1 2002/12/07 16:51:53 gokohnert Exp $
 *  $Author: gokohnert $
 */
?>
