<?php
/**
 * Copyright 2001 - 2002 by Gero Kohnert
 *
 * @modulegroup resource
 * @module resource_del
 * @package resource
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include_once 'webelements.p3';
 include_once 'permission.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("resource");
 loadmodule("resource");

 /* Check Input */
 $msg = "";
 $gotourl = "resource_overview.php";
 $obj = new resource($dbconn);

 if ( !isset($_GET['id']) ) {
   $msg .= sprintf($lang['Err0040'],$lang[$obj->getType()]) ."<br>";
 } else {
   $obj->read($_GET['id']);
   $gotourl = dirname(getBaseUrl())."/". $obj->getUrl();
 }
 if ( ! $obj->del_ok() ) {
   $msg .= sprintf($lang['Err0023'],$lang[$obj->getType()]) ."<br>";
 }
 if ( $msg == "" ) {
   $gotourl = getBaseUrl(). "resource_overview.php";

   $dbconn->Begin("WORK");
   $msg .= $obj->delete();
   $dbconn->Commit("WORK");
 }

 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location:". $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: resource_del.php,v 1.5 2002/12/31 14:33:52 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
