<?php
/**
 * Copyright 1999 - 2003 by Gero Kohnert
 *
 * @modulegroup watchlist
 * @package watchlist
 */
 $tutos['base'] = "../..";
 ini_set("include_path","..");
 include_once 'webelements.p3';
 include_once 'permission.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("watchlist","ins");
 loadmodule("watchlist");

 /* Check Input */
 $msg = "";
 $w = new watchlist($dbconn);
 if ( empty($_GET['gotourl']) && isset($_SERVER['HTTP_REFERER']) ) {
   $gotourl = $_SERVER['HTTP_REFERER'];
 }

 if ( empty($_GET['adr']) ) {
   $a = $current_user;
 } else {
   $a = new tutos_address($dbconn);
   $a->read($_GET['adr']);
 }
 if ( empty($_GET['id']) ) {
   $msg .= "Missing ID" ."<br>";
 } else {
   $obj = getObject($dbconn,$_GET['id']);
   $gotourl = dirname(getBaseUrl()) ."/". $obj->getUrl();
 }

 if ( $msg == "" ) {
   $msg .= $w->add($obj,$a);
 }

 $gotourl= addUrlParameter($gotourl,"msg=". UrlEncode($msg));
 $gotourl = addSessionKey($gotourl);

 Header("Status: 302 Moved Temporarily");
 Header("Location: ". $gotourl);
 $dbconn->Close();
 /*
  *  CVS Info:  $Id: watchlist_ins.php,v 1.8 2003/01/13 18:20:10 gokohnert Exp $
  *  $Author: gokohnert $
  */
?>
